Bug 1750813 (CVE-2019-15916) - CVE-2019-15916 kernel: memory leak in register_queue_kobjects() in net/core/net-sysfs.c leads to denial of service
Summary: CVE-2019-15916 kernel: memory leak in register_queue_kobjects() in net/core/n...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-15916
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1718393 1750814 1752690 1752691 1752692 1752693 1752694 1752695 1752700 1828334 1828335 1838782 1838783
Blocks: 1750818
TreeView+ depends on / blocked
 
Reported: 2019-09-10 14:05 UTC by Dhananjay Arunesh
Modified: 2020-07-07 09:52 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw that allowed an attacker to leak kernel memory was found in the network subsystem where an attacker with permissions to create tun/tap devices can create a denial of service and panic the system.
Clone Of:
Environment:
Last Closed: 2019-11-06 00:53:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3309 None None None 2019-11-05 20:35:54 UTC
Red Hat Product Errata RHSA-2019:3517 None None None 2019-11-05 21:06:38 UTC
Red Hat Product Errata RHSA-2020:0740 None None None 2020-03-09 14:31:50 UTC
Red Hat Product Errata RHSA-2020:1016 None None None 2020-03-31 19:12:00 UTC
Red Hat Product Errata RHSA-2020:1070 None None None 2020-03-31 19:21:08 UTC
Red Hat Product Errata RHSA-2020:2522 None None None 2020-06-11 02:10:15 UTC
Red Hat Product Errata RHSA-2020:2851 None None None 2020-07-07 09:52:07 UTC

Description Dhananjay Arunesh 2019-09-10 14:05:41 UTC
An issue was discovered in the Linux kernels network tun/tap device creation. An attacker with local account can issue an ioctl to a device which can cause a small memory leak which can not be reclaimed.  Each time this attack is repeated additional memory is leaked and this may eventually consume all memory in the system causing a denial of service DOS.

Reference:
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.0.1
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=895a5e96dbd6386c8e78e5b78e067dcc67b7f0ab

Comment 1 Dhananjay Arunesh 2019-09-10 14:06:12 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1750814]

Comment 2 Justin M. Forbes 2019-09-11 08:14:54 UTC
This was fixed for Fedora with the 4.20.15 stable kernel updates

Comment 4 Wade Mealing 2019-09-17 01:41:05 UTC
This flaw is rated as moderate, it is a memory leak that a requires a a local user to have access privileges on a local network device and the ability to issue an ioctl to a tun/tap device. This is usually a priviledged operation and not available to all users on the system.

Comment 11 errata-xmlrpc 2019-11-05 20:35:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3309 https://access.redhat.com/errata/RHSA-2019:3309

Comment 12 errata-xmlrpc 2019-11-05 21:06:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3517 https://access.redhat.com/errata/RHSA-2019:3517

Comment 13 Product Security DevOps Team 2019-11-06 00:53:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-15916

Comment 14 errata-xmlrpc 2020-03-09 14:31:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0740 https://access.redhat.com/errata/RHSA-2020:0740

Comment 15 errata-xmlrpc 2020-03-31 19:11:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1016 https://access.redhat.com/errata/RHSA-2020:1016

Comment 16 errata-xmlrpc 2020-03-31 19:21:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1070 https://access.redhat.com/errata/RHSA-2020:1070

Comment 21 errata-xmlrpc 2020-06-11 02:10:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:2522 https://access.redhat.com/errata/RHSA-2020:2522

Comment 23 errata-xmlrpc 2020-07-07 09:52:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:2851 https://access.redhat.com/errata/RHSA-2020:2851


Note You need to log in before you can comment on or make changes to this bug.